Package org.silverpeas.mobile.client.apps.news

## Class NewsApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.news.NewsApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `NavigationEventHandler`, `NewsAppEventHandler`, `AppEventHandler`

      public class NewsApp
      extends App
      implements NewsAppEventHandler, NavigationEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NewsApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `createNews​(NewsCreateEvent event)` |
    `void` | `loadNews​(NewsLoadEvent event)` |
    `void` | `loadOneNews​(OneNewsLoadEvent event)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `updateDisplay()` |
    `void` | `updateNews​(NewsUpdateEvent event)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewsApp

          public NewsApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadNews

          public void loadNews​(NewsLoadEvent event)

      Specified by:
        `loadNews` in interface `NewsAppEventHandler`

    - #### createNews

          public void createNews​(NewsCreateEvent event)

      Specified by:
        `createNews` in interface `NewsAppEventHandler`

    - #### loadOneNews

          public void loadOneNews​(OneNewsLoadEvent event)

      Specified by:
        `loadOneNews` in interface `NewsAppEventHandler`

    - #### updateNews

          public void updateNews​(NewsUpdateEvent event)

      Specified by:
        `updateNews` in interface `NewsAppEventHandler`

    - #### updateDisplay

          public void updateDisplay()

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`